Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class InternalFrameAdapter

    java.lang.Object
      |
      +--javax.swing.event.InternalFrameAdapter

public abstract class InternalFrameAdapter
extends java.lang.Object
implements InternalFrameListener

An abstract adapter class for receiving internal frame events. The methods in this class are empty. This class exists as convenience for creating listener objects, and is functionally equivalent to the WindowAdapter class in the AWT.

See Writing a Window Listener in The Java Tutorial and The Java Class Libraries (update)

See Also:
  `InternalFrameEvent`, `InternalFrameListener`, `WindowListener`

Constructor Summary
`InternalFrameAdapter()`

Method Summary
`void` | `internalFrameActivated(InternalFrameEvent e)` Invoked when an internal frame is activated.
`void` | `internalFrameClosed(InternalFrameEvent e)` Invoked when an internal frame has been closed.
`void` | `internalFrameClosing(InternalFrameEvent e)` Invoked when an internal frame is in the process of being closed.
`void` | `internalFrameDeactivated(InternalFrameEvent e)` Invoked when an internal frame is de-activated.
`void` | `internalFrameDeiconified(InternalFrameEvent e)` Invoked when an internal frame is de-iconified.
`void` | `internalFrameIconified(InternalFrameEvent e)` Invoked when an internal frame is iconified.
`void` | `internalFrameOpened(InternalFrameEvent e)` Invoked when an internal frame has been opened.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalFrameAdapter

    public InternalFrameAdapter()

Method Detail

### internalFrameOpened

    public void internalFrameOpened(InternalFrameEvent e)

  Invoked when an internal frame has been opened.
  Specified by:
    internalFrameOpened in interface InternalFrameListener

### internalFrameClosing

    public void internalFrameClosing(InternalFrameEvent e)

  Invoked when an internal frame is in the process of being closed. The close operation can be overridden at this point.
  Specified by:
    internalFrameClosing in interface InternalFrameListener

### internalFrameClosed

    public void internalFrameClosed(InternalFrameEvent e)

  Invoked when an internal frame has been closed.
  Specified by:
    internalFrameClosed in interface InternalFrameListener

### internalFrameIconified

    public void internalFrameIconified(InternalFrameEvent e)

  Invoked when an internal frame is iconified.
  Specified by:
    internalFrameIconified in interface InternalFrameListener

### internalFrameDeiconified

    public void internalFrameDeiconified(InternalFrameEvent e)

  Invoked when an internal frame is de-iconified.
  Specified by:
    internalFrameDeiconified in interface InternalFrameListener

### internalFrameActivated

    public void internalFrameActivated(InternalFrameEvent e)

  Invoked when an internal frame is activated.
  Specified by:
    internalFrameActivated in interface InternalFrameListener

### internalFrameDeactivated

    public void internalFrameDeactivated(InternalFrameEvent e)

  Invoked when an internal frame is de-activated.
  Specified by:
    internalFrameDeactivated in interface InternalFrameListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.